Subject: Re: [Roll] The need for multiplicative metrics and other comments on draft-ietf-roll-routing-metrics-05

From: JP Vasseur <[email-masked]>
Date: Tue, 13 Apr 2010 09:36:28 +0200

Hi,

On Mar 29, 2010, at 6:49 AM, Matteo Paris wrote:

>
> Hi Mukul,
>
> I agree that the available flags do not cover all the possibilities  
> for metric calculations. However, I believe we should eliminate the  
> flags rather than extend them.
>
> In order to participate in routing, a node must implement the  
> Objective Function, which already defines how to compute and  
> propagate the metric. Thus for nodes implementing the OF, the common  
> flags are redundant.  Nodes not implementing the metric do not know  
> what the metric is and are not allowed to propagate the metric, so  
> the flags are of no use to them.
>
> I believe the thinking behind the flags was that it would allow any  
> node to do something useful with the metric container, even if it  
> did not implement the OF.  After discussion on the list, this  
> concept was ruled out, in favor of limiting such nodes to join as  
> leaves.  So now, the flags no longer serve a purpose.
>

The concept is extremely important and should not be emmbedded into  
the OF (otherwise you will come up with an exponential number of  
codepoints). I owe an email about that on the list for some time, will  
do it today.

Thanks

JP.

> Matteo
>
>
> At 1:42 PM -0500 3/28/10, Mukul Goyal wrote:
>> Hi Henning
>>
>> The problem is not how do we do multiplication - in a straight  
>> forward manner or by adding the log values. The issue is that one  
>> should be able to indicate in the "routing object" (contained in  
>> the "metrics container" inside a "DIO") that this metric is  
>> multiplicative. Right now, I can only indicate a metric as either  
>> additive or max or min.
>>
>> I would like the "A field" in the Routing Object header (Section 2  
>> of the metrics draft) to include an option to specify the metric as  
>> multiplicative. Specifically, the text:
>>
>> "o  A Field: The A field is used to indicate whether a routing metric
>>      is additive, reports a maximum or a minimum.
>>
>>      *  A=0x00: The routing metric is additive
>>
>>      *  A=0x01: The routing metric reports a maximum
>>
>>      *  A=0x02: The routing metric reports a minimum
>> "
>>
>> should include one more line:
>> "
>>      *  A=0x03: The routing metric is multiplicative
>> "
>>
>> Thanks
>> Mukul
>> ----- Original Message -----
>> From: "Henning Rogge" <[email-masked]>
>> To: [email-masked]
>> Cc: "Mukul Goyal" <[email-masked]>
>> Sent: Sunday, March 28, 2010 11:58:34 AM GMT -06:00 US/Canada Central
>> Subject: Re: [Roll] The need for multiplicative metrics and other  
>> comments on draft-ietf-roll-routing-metrics-05
>>
>> Am Sonntag 28 März 2010 08:36:32 schrieb Mukul Goyal:
>>> Here are some comments on draft-ietf-roll-routing-metrics-05. Not  
>>> sure if
>>> people have already identified these issues.
>>>
>>> 1) I am concerned about the fact that the metrics draft does not  
>>> currently
>>> allow a metric to be declared "multiplicative" in nature.
>>>
>>> The natural way to aggregate the link-level reliabilities into a  
>>> path-level
>>> reliability is by multiplication.
>> You can transform any multiplicative metric into an additive one  
>> and the other
>> way around by applying a logarithm or exponential function.
>>
>> Henning Rogge
>>
>> --
>> 1) You can't win.
>> 2) You can't break even.
>> 3) You can't leave the game.
>> - The Laws of Thermodynamics, summarized
>> _______________________________________________
>> Roll mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/roll
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll